Bug 477066 - playing extreme tuxracer with "virtual" in xorg.conf breaks desktop spanning
playing extreme tuxracer with "virtual" in xorg.conf breaks desktop spanning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: extremetuxracer (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 16:51 EST by Erik M Jacobs
Modified: 2010-06-30 16:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:57:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf used with this bug (2.13 KB, text/plain)
2008-12-18 16:51 EST, Erik M Jacobs
no flags Details
Xorg.0.log while these issues took place (1.06 MB, text/plain)
2008-12-18 16:52 EST, Erik M Jacobs
no flags Details
xorg.conf with virtual that invokes this bug (841 bytes, application/octet-stream)
2009-11-01 22:18 EST, Joel
no flags Details

  None (edit)
Description Erik M Jacobs 2008-12-18 16:51:10 EST
Created attachment 327384 [details]
xorg.conf used with this bug

Description of problem:
On a Lenovo T61 (GM965 video, intel driver), playing extreme tuxracer with a virtual directive in xorg.conf (for desktop spanning) and exiting results in mirrored displays and other problems.

Version-Release number of selected component (if applicable):
extremetuxracer.i386 0.4-1.fc9
xorg-x11-server-Xorg.i386 1.5.3-6.fc10
2.6.27.7-134.fc10.i686

How reproducible:
100% of the time

Steps to Reproduce:
1. Set up a machine using a virtual directive in xorg.conf as shown above
2. Play extreme tuxracer
3. Observe displays now in mirrored mode
4. Quit extreme tuxracer   

Actual results:
The displays remain in mirrored mode, and the VGA-connected display becomes mirrored by the LVDS display.

Expected results:
The displays should return to the previous settings (virtual span)

Additional info:
xorg.conf settings for desktop spanning:
SubSection "Display"
Viewport   0 0
Depth     24
Virtual 2960 1050
EndSubSection

On exit from tuxracer, the displays are still set to mirrored mode.  This resulted in losing my application and desktop bars because they were on LVDS.

Restoring the LVDS display with xrandr works:
xrandr --output LVDS --right-of VGA --mode 1680x1050

However, this results in a new issue -- the application and desktop bars are now strangely shorter than the resolution of the LVDS display.  Applications can still take up the whole width of the screen (i.e. thunderbird, firefox, etc.)  Additionally, neither of the application or desktop bars can be moved to the bottom of the display -- there is essentially a sideways "L" shaped area of desktop background that is suddenly present and unusable.

Using the volume up/down buttons on the laptop results in further weird behavior:

1) The display on which the mouse cursor exists shows the proper on-screen volume display.
2) The display on which the mouse cursor *DOES NOT* exist shows a hole in an application (i.e. thunderbird) that displays the desktop background
Comment 1 Erik M Jacobs 2008-12-18 16:52:21 EST
Created attachment 327385 [details]
Xorg.0.log while these issues took place
Comment 2 Joel 2009-05-15 17:32:38 EDT
I have identical problems on a dual head (dual 1920x1200) on Intel Q965.

The games need to STOP defaulting to full screen mode if they don't know how to handle full screen mode.  When you lose your menu bar in gnome, it is very very hard to get to a point where you can control the xrandr settings to recover.
Comment 3 TK009 2009-10-30 14:43:36 EDT
@ Erik
Are you still experiencing this issue?


@ Joel
Are you still experiencing it as well, and are you using a virtual directive in xorg.conf?

Are either of you able to try this on F11 or rawhide? I tried myself with my set-up in F11 and couldn't reproduce the error, however my hardware is nvidia.
Comment 4 Joel 2009-11-01 22:18:52 EST
Created attachment 367063 [details]
xorg.conf with virtual that invokes this bug
Comment 5 Joel 2009-11-01 22:22:34 EST
Yes.  I still get this behaviour on an uptodate F11.

run etracer.  Screen goes LOWRES MIRRORED which instantly dorks my desktop.  Then the game doesn't even draw itself on the screen!

I hear the music in the background.  Then I press esc. and it returns to 1920x1200, but still mirrored!  Instead of the original dual head 3840x1200 desktop.  Then I have to get Display Preferences up somehow and mess around until my display is right.

Games SHOULD START IN WINDOWED MODE.  Let the user configure for full screen later.  WHAT IF I WANT THE GAME ON ONLY ONE MONITOR?  (mythtv setup with laptop).  I want to play the game on my TV not part of it on my laptop and part on the TV.

Especially start in windowed mode if the game can't figure out how to save the current R&R state and properly restore it.  See my attached xorg.conf.  I have reproduced this on two F11 boxes running Intel Q965.
Comment 6 TK009 2009-11-02 06:27:54 EST
Changing this bug to F11.


TK009
---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2010-04-27 08:32:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:57:41 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Joel 2010-06-30 16:56:20 EDT
This bug is still in place in Fedora 12.  Starting etracer sets the screens low resolution/mirrored and DOES NOT RESTORE dual-headed 1920x1200 mode after it exits.

Note You need to log in before you can comment on or make changes to this bug.